Bug 595477 - [QLogic 6.0 bug] qla2xxx: Update to 8.03.01.05.06.0-k8
[QLogic 6.0 bug] qla2xxx: Update to 8.03.01.05.06.0-k8
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
high Severity high
: rc
: 6.0
Assigned To: Chad Dupuis (Cavium)
Barry Donahue
: OtherQA
: 604327 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 14:26 EDT by Chad Dupuis (Cavium)
Modified: 2012-09-27 01:34 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:04:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport of latest upstream bugfixes. (82.90 KB, patch)
2010-06-09 10:24 EDT, Chad Dupuis (Cavium)
no flags Details | Diff
Update version number to 8.03.01.05.06.0-k8 (741 bytes, patch)
2010-06-09 10:26 EDT, Chad Dupuis (Cavium)
no flags Details | Diff
Update to patchset. (18.17 KB, application/x-gzip)
2010-06-17 15:46 EDT, Chad Dupuis (Cavium)
no flags Details

  None (edit)
Description Chad Dupuis (Cavium) 2010-05-24 14:26:18 EDT
This update consists of the following changes from the upstream kernel:
Comment 2 Andrius Benokraitis 2010-05-24 14:36:55 EDT
please include a driver version in the summary when you get it. thanks!
Comment 4 Chad Dupuis (Cavium) 2010-06-09 10:24:02 EDT
Created attachment 422569 [details]
Backport of latest upstream bugfixes.

Backport of latest upstream bugfixes:

qla2xxx: Add flash read/update support using BSG interface.
qla2xxx: Do not restrict flash operations to specific regions for 4G adapters.
qla2xxx: For ISP 23xx, select user specified login timeout value if greater than minimum value(4 secs)
qla2xxx: Removed redundant check for ISP 84xx.
qla2xxx: Do not enable VP in non fabric topology.
qla2xxx: Make the FC port capability mutual exclusive.
qla2xxx: Add internal loopback support for ISP81xx.
qla2xxx: Limit rport-flaps during link-disruptions.
qla2xxx: Correct async-srb issues.
qla2xxx: Correct use-after-free oops seen during EH-abort.
qla2xxx: Fix cpu-affinity usage for non-capable ISPs.
qla2xxx: Add portid to async-request messages.
qla2xxx: Support for asynchronous TM and Marker IOCBs.
qla2xxx: Provide common framework for BSG and IOCB commands.
qla2xxx: Limit mailbox command contention for ADISC requests.
qla2xxx: Further generalization of SRB CTX infrastructure.
qla2xxx: ensure flash operation and host reset via sg_reset are mutually exclusive
qla2xxx: Prevent sending mbx commands from sysfs during isp reset.
qla2xxx: Cleanup FCP-command-status processing debug statements.
qla2xxx: Clear error status after uncorrectable non-fatal errors.
qla2xxx: Add char device to incease driver use count
qla2xxx: Display proper link state for disconnected ports.
qla2xxx: Check for ISP84xx before processing to get 84xx firmware version.
qla2xxx: Update copyright banner
Comment 5 Chad Dupuis (Cavium) 2010-06-09 10:26:10 EDT
Created attachment 422572 [details]
Update version number to 8.03.01.05.06.0-k8

Update version number to 8.03.01.05.06.0-k8.
Comment 6 Chad Dupuis (Cavium) 2010-06-17 15:46:26 EDT
Created attachment 424925 [details]
Update to patchset.

The patchset in the .tar.gz file contains the following fixes:

qla2xxx: Check for ISP84xx before processing to get 84xx firmware version.
qla2xxx: Display proper link state for disconnected ports.
qla2xxx: Add char device to incease driver use count
qla2xxx: Clear error status after uncorrectable non-fatal errors.
qla2xxx: Cleanup FCP-command-status processing debug statements.
qla2xxx: Prevent sending mbx commands from sysfs during isp reset.
qla2xxx: ensure flash operation and host reset via sg_reset are mutually exclusive
qla2xxx: Further generalization of SRB CTX infrastructure.
qla2xxx: Limit mailbox command contention for ADISC requests.
qla2xxx: Fix cpu-affinity usage for non-capable ISPs.
qla2xxx: Correct use-after-free oops seen during EH-abort.
qla2xxx: Correct async-srb issues.
qla2xxx: Limit rport-flaps during link-disruptions.
qla2xxx: Make the FC port capability mutual exclusive.
qla2xxx: Do not enable VP in non fabric topology.
qla2xxx: Removed redundant check for ISP 84xx.
qla2xxx: For ISP 23xx, select user specified login timeout value if greater than minuimum value(4 secs).
qla2xxx: Do not restrict flash operations to specific regions for 4G adapters.
qla2xxx: Propogate transport disrupted status for cable pull conditions for faster failover.
qla2xxx: Add portid to async-request messages.
qla2xxx: Updated driver version to 8.03.01.05.06.0-k8.

The differences between this list and the ones discussed offline are:

qla2xxx: Updated driver version to 8.03.01.05.06.0-k8. - This is obviously needed to update the driver version

qla2xxx: Further generalization of SRB CTX infrastructure. - This is a prerequisite patch for 4 of the other fixes listed here.  This is submitted upstream and has received a lot of testing back at QLogic.
Comment 7 Andrius Benokraitis 2010-06-17 16:45:53 EDT
*** Bug 604327 has been marked as a duplicate of this bug. ***
Comment 8 Issue Tracker 2010-06-21 09:15:31 EDT
Event posted on 06-19-2010 02:23pm EDT by Glen Johnson

------- Comment From iranna.ankad@in.ibm.com 2010-06-19 14:16 EDT-------
(In reply to comment #23)
> (In reply to comment #19)
> > These changes made by cdupuis@redhat.com.
> > Bugzilla comment added:
> > I believe that this is fixed in a future patch:
> >
> > qla2xxx: Check for ISP84xx before processing to get 84xx firmware
version.
> >
> > https://bugzilla.redhat.com/show_bug.cgi?id=604327
>
> Hello Red Hat,
> Tried above patch, which seems to fix this issue (i.e crash in
> qla24xx_84xx_fw_version_show).
>
> Here are the so far test results.
> 1. Rebuilt 2.6.32-33.el6 kernel after applying the patch
> "qla2xxx-add-check-ISP84xx-before-getting-firmware-version.patch".
> Now the cat command:
> "cat
>
/sys/devices/pci0000:1d/0000:1d:00.0/0000:1e:00.0/host5/scsi_host/host5/84xx_fw_version".
>
> DOES NOT generate any call traces related to
qla24xx_84xx_fw_version_show.
>
> However running our pounder test suite crashed the system immediately,
> reporting
> "stack-protector: Kernel stack is corrupted", which is already
reported in the
> below bugzilla:
> "Bug 58277   -  RIT948213- sysfs device info fetch causes kernel panic
and call
> trace"
>
> 2. So I rebuilt above kernel applying the proposed patch from RIT948213
(i.e
> TPM-ReadPubEK-output-struct-fix.patch).
>
> Now pounder tests are running fine for more than 2 hours (passing
previous
> crashes).
> I will let the tests run for overnight & update final test results
tomorrow.
>
> Thanks!
>

Pounder test successfully completed a cycle of more than 40 hours run and
system was stable.

Thanks!


This event sent from IssueTracker by jkachuck 
 issue 1026093
Comment 9 Aristeu Rozanski 2010-07-01 12:12:35 EDT
Patch(es) available on kernel-2.6.32-42.el6
Comment 12 IBM Bug Proxy 2010-07-06 03:01:46 EDT
------- Comment From bnpoorni@in.ibm.com 2010-07-06 02:52 EDT-------
---Problem Description---
Reverse mirror of RH  bugzilla 595477

Contact Information =

---uname output---


Machine Type =

---Debugger---
A debugger is not configured

---Kernel - Drivers Component Data---
Stack trace output:
no

Oops output:
no

System Dump Info:
The system is not configured to capture a system dump.

*Additional Instructions for     :
-Attach sysctl -a output output to the bug.
Comment 13 Issue Tracker 2010-07-12 11:24:37 EDT
Event posted on 07-12-2010 07:32am EDT by Glen Johnson

------- Comment From iranna.ankad@in.ibm.com 2010-07-12 07:26 EDT-------
Verified on Snap7 (i.e 2.6.32-44, which includes required qla2xxx patch)
on the affected system x3850-M2 and pounder completed its 48 hour slot
without any crash/issues.
However I saw some oom killer messages, which are not related to this bug.


This event sent from IssueTracker by jkachuck 
 issue 1026093
Comment 14 IBM Bug Proxy 2010-07-16 15:41:02 EDT
------- Comment From rlary@us.ibm.com 2010-07-16 15:33 EDT-------
Verified issue hit with systool or simply attempting to cat /sys/class/scsi_host/{qla2xx_host}/84xx_fw_version  would cause panic.

# systool -c scsi_host host1 -v
Class = "scsi_host"

Class Device = "host1"
Class Device path = "/sys/devices/pci0000:00/0000:00:01.0/0000:01:02.0/host1/scsi_host/host1"
84xx_fw_version     = ""
active_mode         = "Initiator"
beacon              = "Disabled"
can_queue           = "2176"
cmd_per_lun         = "3"
driver_version      = "8.03.01.05.06.0-k8"
fabric_param        = "1280"
flash_block_size    = "0x8000"
fw_state            = "0x3 0x4e0b 0x0 0x9400 0x0"
fw_version          = "5.03.02 (496)"
host_busy           = "0"
isp_id              = "0000 0000 0000 0000"
isp_name            = "ISP2422"
link_state          = "Link Up - F_Port"
model_desc          = "PCI-X 2.0 Dual Channel 4Gb Fibre Channel SFF Mezzanine HBA"
model_name          = "QMC2462S"
mpi_version         = ""
optrom_bios_version = "2.02"
optrom_efi_version  = "1.08"
optrom_fcode_version= "2.00"
optrom_fw_version   = "4.00.27 131"
pci_info            = "PCI-X Mode 1 (100 MHz)"
<snip>
Comment 16 IBM Bug Proxy 2010-08-02 10:33:53 EDT
------- Comment From rlary@us.ibm.com 2010-08-02 10:22 EDT-------
IBM has verified that RHEL6 snap8 includes qla2xxx driver version 8.03.01.05.06.0-k8.
Comment 17 Chad Dupuis (Cavium) 2010-08-09 10:44:30 EDT
This was verified as fixed by QLogic in snapshot 8.
Comment 18 releng-rhel@redhat.com 2010-11-15 09:04:31 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.